Sales
Update sale
PATCH
Update a sale's status with necessary information.
sso-keyheader
Authorization<token>Standard GoDaddy SSO header authorization. Format: sso-key YOUR_API_KEY:YOUR_API_SECRET
customerId*stringAn identifier for a customer. A special alias 'my' is supported when accessing the authenticated customer's own data.
Match
^[a-f0-9]{8}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{4}-[a-f0-9]{12}$|^MY$|^my$Default
"my"transactionId*stringTransaction ID of a sale
X-Request-Id?stringA unique identifier for the request
application/json- body
SaleMinimal represents a minimal update to a sale transaction
authCode?stringAuthorization code for transferring a domain
Sale updated successfully
curl -X PATCH 'https://api.afternic.com/v3/aftermarket/customers/my/sales/string' \ -H 'Content-Type: application/json' \ -d '{ "authCode": "abc123XYZ"}'Example Response
Empty